Bug 1383124 (CVE-2016-7071)

Summary: CVE-2016-7071 CFME: bypass authorization by altering VM ID
Product: [Other] Security Response Reporter: Jeremy Choi <jechoi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: cpelland, dajohnso, dclarizi, gblomqui, gmccullo, gtanzill, hhudgeon, jfrey, jhardy, jprause, jrafanie, kseifried, obarenbo, roliveri, security-response-team, simaishi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20161020,reported=20161007,source=customer,cvss2=9.0/AV:N/AC:L/Au:S/C:C/I:C/A:C,cvss3=8.8/CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H,cwe=CWE-285,cfme-5/cfme=affected
Fixed In Version: cfme 5.6.2.2, cfme 5.7.0.7 Doc Type: If docs needed, set a value
Doc Text:
It was found that the CloudForms did not properly apply permissions controls to VM IDs passed by users. A remote, authenticated attacker could use this flaw to execute arbitrary VMs on systems managed by CloudForms if they know the ID of the VM.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-20 15:49:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1385188, 1397500    
Bug Blocks: 1383121    

Description Jeremy Choi 2016-10-10 01:55:19 UTC
Felix Dewaleyne reported in https://bugzilla.redhat.com/show_bug.cgi?id=1382756:

Description of problem:
requests made from the web_ui  can allow a user not having any permission on a vm to run any action on it

Version-Release number of selected component (if applicable):
5.5.4

Comment 3 errata-xmlrpc 2016-10-20 14:14:39 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.6

Via RHSA-2016:2091 https://rhn.redhat.com/errata/RHSA-2016-2091.html